<template>
  <button
    :class="`btn-${variant}`"
    class="btn"
    @click="href ? $router.push(href) : $emit('click')"
  >
    <slot />
  </button>
</template>

<script>
export default {
  name: 'Btn',
  props: {
    variant: {
      type: String,
      default: 'outline'
    },
    href: {
      type: [Boolean, String],
      default: false
    }
  }
}
</script>

<style lang="sass" scoped>
.btn
  padding: 10px 20px
  font-size: 1.2em
.btn-outline
  background: transparent
  border: 2px solid var(--primary)
  color: var(--primary)
  text-transform: uppercase
  font-family: Roboto Mono, sans-serif
  &:hover, &:focus
    background: var(--primary)
    color: var(--secondary)
  transition: all 0.125s ease
</style>
